module Refinery
  module GalleryLinks
    class GalleryLink < Refinery::Core::BaseModel
      self.table_name = 'refinery_gallery_links'

      belongs_to :image, class_name: ::Refinery::Image

      attr_accessible :date, :bands, :venue, :url, :photographer, :description, :image_id, :position

      validates :date, :presence => true
      validates :bands, :presence => true

      def title
        "#{date.try(:strftime, '%d/%m/%y')}: #{bands} @ #{venue}"
      end
    end
  end
end
